# IdeaWorkspace

abstract class IdeaWorkspace

Enables fine-tuning workspace details (*.iws file) of the IDEA plugin.

At the moment, the only practical way of manipulating the resulting content is via the withXml hook:

    plugins {
        id 'java'
        id 'idea'
    }

    idea.workspace.iws.withXml { provider ->
        provider.asNode().appendNode('gradleRocks', 'true')
    }

Content copied to clipboard

## Constructors

IdeaWorkspace
Link copied to clipboard
constructor()

## Properties

iws
Link copied to clipboard
open var iws: XmlFileContentMerger

## Functions

iws
Link copied to clipboard
open fun iws(@DelegatesTo(value = XmlFileContentMerger::class) closure: Closure)
open fun iws(action: Action<in XmlFileContentMerger>)
Enables advanced manipulation of the output XML.
mergeXmlWorkspace
Link copied to clipboard
open fun mergeXmlWorkspace(xmlWorkspace: Workspace)